/*******************************************************************************
 * Copyright (c) 2005 Eclipse Foundation
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Bjorn Freeman-Benson - initial implementation
 *     Ward Cunningham - initial implementation
 *******************************************************************************/

package org.eclipse.eclipsemonkey;

import org.eclipse.core.resources.IFile;
import org.eclipse.ui.IWorkbenchWindow;

public class MenuRunMonkeyScript extends RunMonkeyScript {
	public static StoredScript last_run = null;

	public MenuRunMonkeyScript(IFile file, IWorkbenchWindow window) {
		super(file, window);
	}

	public MenuRunMonkeyScript(IFile file) {
		super(file);
	}

	public Object run(String entryName, Object[] functionArgs) throws RunMonkeyException {
		try {
			return super.run(entryName, functionArgs);
		} finally {
			last_run = storedScript;
			UpdateMonkeyActionsResourceChangeListener.createTheMonkeyMenu();
		}
	}
}
