/**
 * Copyright (c) 2005-2006 Aptana, Inc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html. If redistributing this code,
 * this entire header must remain intact.
 */
package org.eclipse.eclipsemonkey.lang.javascript;

import org.eclipse.core.runtime.IPath;
import org.eclipse.eclipsemonkey.IMonkeyScriptRunner;
import org.eclipse.eclipsemonkey.language.IMonkeyLanguageFactory;
import org.eclipse.ui.IWorkbenchWindow;

/**
 * @author Paul Colton (Aptana, Inc.)
 *
 */
public class JavaScriptLanguageFactory implements IMonkeyLanguageFactory
{
	/**
	 * @see org.eclipse.eclipsemonkey.language.IMonkeyLanguageFactory#getRunMonkeyScript(org.eclipse.core.runtime.IPath, org.eclipse.ui.IWorkbenchWindow)
	 */
	public IMonkeyScriptRunner getRunMonkeyScript(IPath path,
			IWorkbenchWindow window) 
	{
		return new JavaScriptRunner(path, window);
	}

	/**
	 * @see org.eclipse.eclipsemonkey.language.IMonkeyLanguageFactory#init(java.lang.String, java.lang.String)
	 */
	public void init(String pluginID, String languageName) 
	{
	}
}
